Skip to main content
`Ctrl`+`K`

# NEPReset

Resets the `NEP` context to the initial state (prior to setup) and destroys any allocated `Vec`s and `Mat`s.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPReset(NEP nep)

Collective

## Input Parameter

- nep - the nonlinear eigensolver context

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPDestroy()`

## Level

advanced

## Location

src/nep/interface/nepbasic.c

## Implementations

NEPReset_CISS() in src/nep/impls/ciss/nciss.c
NEPReset_Interpol() in src/nep/impls/interpol/interpol.c
NEPReset_NArnoldi() in src/nep/impls/narnoldi/narnoldi.c
NEPReset_NLEIGS() in src/nep/impls/nleigs/nleigs.c
NEPReset_RII() in src/nep/impls/rii/rii.c
NEPReset_SLP() in src/nep/impls/slp/slp.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages